Name:           ublue-os-luks
Vendor:         ublue-os
Version:        homebrew.2025.03.18.01.29.44
Release:        1.20250318194233603195.pr293.7.gd57147a%{?dist}
Summary:        ublue-os scripts for simplified LUKS usage
License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#d57147a7a1934d18d5a16493c38f19ce6ad48eb1:packages/ublue-os-luks
Source:         packages-homebrew.2025.03.18.01.29.44.tar.gz

BuildArch:      noarch

%description
Adds scripts and dracut config to simplify LUKS autounlock

%prep
%setup -T -b 0 -q -n packages-homebrew.2025.03.18.01.29.44

%build

%install
install -Dm755 -t %{buildroot}%{_libexecdir}/ src/luks-disable-tpm2-autounlock
install -Dm755 -t %{buildroot}%{_libexecdir}/ src/luks-enable-tpm2-autounlock
install -Dm644 -t %{buildroot}%{_exec_prefix}/lib/dracut/dracut.conf.d src/90-ublue-luks.conf

%check

%files
%{_libexecdir}/luks-disable-tpm2-autounlock
%{_libexecdir}/luks-enable-tpm2-autounlock
%{_exec_prefix}/lib/dracut/dracut.conf.d/90-ublue-luks.conf

%changelog
* Tue Mar 18 2025 Packit <hello@packit.dev> - homebrew.2025.03.18.01.29.44-1.20250318194233603195.pr293.7.gd57147a
- chore: reduce matrix to current fedora versions (Zeglius)
- chore: include all 'packages' namespace to packit (Zeglius)
- chore: increased separation in namespace var (Zeglius)
- feat: Add packit configuration (Zeglius)
- Added documentation link after enabling bling (gabs)
- Added documentation link after enabling bling (gabs)

* Thu Jul 04 2024 m2Giles <69128853+m2Giles@users.noreply.github.com> - 0.3
- Rewrite enable script to fail out if disk is not found
- LUKs disk is determined from kernel commandline instead of /etc/crypttab

* Sat Jun 29 2024 Benjamin Sherman <benjamin@holyarmy.org> - 0.2
- Add tpm, fido2, pkcs11 to dracut config enabling initramfs LUKS unlock options

* Tue Apr 30 2024 Benjamin Sherman <benjamin@holyarmy.org> - 0.1
- Add tpm2 autounlock enable/disable scripts
- Original source: https://github.com/bsherman/ublue-custom/
